
import 'package:flutter/material.dart';
import 'widget-classesUsed.dart';
Widget appbarWEB(AppBarParams  appBarParams){
  return Card(
    elevation: (appBarParams.elevation!=null)?appBarParams.elevation:0,
    shadowColor: (appBarParams.shadowColor!=null)?appBarParams.shadowColor:Colors.transparent,
    color: (appBarParams.backgroundColor!=null)?appBarParams.backgroundColor:Colors.transparent,
    shape: RoundedRectangleBorder(
      borderRadius: BorderRadius.circular((appBarParams.bottomRadius!=0)?appBarParams.bottomRadius:0),
    ),
    child: Row(
      mainAxisAlignment: MainAxisAlignment.start,
      children: [
        SizedBox(width: 100,),
        (appBarParams.imageUrl!='null')?Padding(
          padding:  EdgeInsets.only(
            bottom: (appBarParams.bottomPadImage!=0)?appBarParams.bottomPadImage:0,
            top: (appBarParams.topPadImage!=null)?appBarParams.topPadImage:0,
            left: (appBarParams.leftPadImage!=null)?appBarParams.leftPadImage:0,
            right:  (appBarParams.rightPadImage!=null)?appBarParams.rightPadImage:0,
          ),
          child: Image(height: 50, image: NetworkImage(appBarParams.imageUrl)),
        ):SizedBox.shrink(),
        SizedBox(width: 170,),
        (appBarParams.text!='null')?Text(appBarParams.text,style: TextStyle(color: appBarParams.textColor),):SizedBox.shrink(),
        SizedBox(width: 170,),
        (appBarParams.icon2!=null)?Icon(appBarParams.icon2,color: appBarParams.iconColor):SizedBox.shrink(),
        SizedBox(width: 170,),
        (appBarParams.icon3!=null)?Icon(appBarParams.icon3,color: appBarParams.iconColor):SizedBox.shrink(),
        SizedBox(width: 170,),
        (appBarParams.icon4!=null)?Icon(appBarParams.icon4,color: appBarParams.iconColor):SizedBox.shrink(),
      ],
    ),
  );
}